[#-------------- INCLUDE AND ASSIGN PART --------------]
[#-- Include: Global --]
[#include "/templating-kit/components/teasers/init.inc.ftl"]
[#include "/templating-kit/components/macros/pagination.ftl"]

[#-- Assigns: Get and check lates blog posts--]
[#assign pager = model.pager]
[#assign entryList = cmsfn.asContentMapList(pager.pageItems)!]
[#assign hasEntryList = entryList?has_content]

[#-- Assigns: Macro for Item iteration --]
[#macro assignItemValues item]
    [#-- Assigns: Get Content from List Item--]
    [#assign itemTitle = item.title!item.@name]
    [#assign itemText = stkfn.abbreviateString(item.abstract!, 100)]
    [#assign itemKicker = item.kicker!]
    [#assign itemDate = item.date!]
    [#assign itemLink = cmsfn.link(item)!]

    [#if !hideTeaserImage]
        [#assign itemImageLink = stkfn.getAssetLink(item, "image", model)!]
        [#--assign itemImageLink = stk.getAssetLink(item, "teaserImg", model)!--]

        [#-- Assigns: Define alt for image tag --]
        [#if itemImageLink?has_content]
            [#assign imageAlt = itemTitle]
        [#else]
            [#assign imageAlt = "${i18n['image.resolveError']}"]
        [/#if]
    [/#if]

    [#-- Assigns: Is Content Available of Item--]
    [#assign hasDate = itemDate?has_content]
    [#assign hasKicker = itemKicker?has_content]
    [#assign hasText = itemText?has_content]
    [#assign hasImageLink = itemImageLink?has_content]

    [#-- zusaetzlich --]
    [#if hasImageLink]
        [#assign liClass = ""]
    [#else]
        [#assign liClass = "class='no-img'"]
    [/#if]
    [#-- ENDE zusaetzlich --]
[/#macro]

[#-------------- RENDERING PART --------------]
[#-- Rendering: Latest News --]
<div class="${divClass}" ${divID}>
[#--@cms.editBar editLabel="${i18n['blog.editLabel.paragraph']}" moveLabel="" deleteLabel="" /--]

[#-- Macro: Pager --]
[@pagination pager "top" /]

[#if hasEntryList]
    <ul>
        [#list entryList as item]
        [#-- Macro: Item Assigns --]
            [@assignItemValues item=item/]

        [#-- Rendering: Item rendering --]
            <li ${liClass}>
                [#if hasImageLink]<img src="${itemImageLink}" alt="${imageAlt}" />[/#if]
                <h3>
                    <a href="${itemLink}">
                        [#if hasKicker]<em>${itemKicker}</em>[/#if]
                    ${itemTitle}
                    </a>
                </h3>
                <p>[#if hasDate]<em class="date">${itemDate?date?string.medium}</em>[/#if] [#if hasText]${itemText}[/#if] <em class="more"><a href="${itemLink}">${i18n['link.readon']} <span> ${itemTitle}</span></a></em></p>
            </li>
        [/#list]
    </ul>
[#else]
    <ul>
        <p>${i18n['blog.noResults']}</p>
    </ul>
[/#if]
</div><!-- end ${divClass} -->

[#-- Macro: Pager --]
[@pagination pager "bottom" /]
