[#-------------- INCLUDE AND ASSIGN PART --------------]
[#-- Include: Global --]
[#include "/templating-kit/components/teasers/init.inc.ftl"]

[#-- Assigns: Get and check Latest Blog Entries --]
[#assign entryList = cmsfn.asContentMapList(model.items)!]
[#assign hasEntryList = entryList?has_content]

[#-- Assigns: Macro for Item iteration --]
[#macro assignItemValues item]
    [#-- Assigns: Get Content from List Item--]
    [#assign itemTitle = item.title!item.@name]
    [#assign itemText = stkfn.abbreviateString(item.abstract!, 100)]
    [#assign itemKicker = item.kicker!]
    [#assign itemDate = item.date!]
    [#assign itemLink = cmsfn.link(item)!]

    [#if !hideTeaserImage]
        [#assign itemImageLink = stkfn.getAssetLink(item, "image", model)!]
        [#--assign itemImageLink = stk.getAssetLink(item, "teaserImg", model)!--]
        [#-- Assigns: Define alt for image tag --]
        [#if itemImageLink?has_content]
            [#assign imageAlt = itemTitle]
        [#else]
            [#assign imageAlt = "${i18n['image.resolveError']}"]
        [/#if]
    [/#if]
    [#-- Assigns: Is Content Available of Item--]
    [#assign hasDate = itemDate?has_content]
    [#assign hasKicker = itemKicker?has_content]
    [#assign hasText = itemText?has_content]
    [#assign hasImageLink = itemImageLink?has_content]
    [#if hasImageLink]
        [#assign liClass = ""]
    [#else]
        [#assign liClass = "class='no-img'"]
    [/#if]
[/#macro]

[#-------------- RENDERING PART --------------]
[#-- Rendering: Latest News --]
<div class="${divClass}" ${divID} >
    [#--@cms.editBar /--]
    <${headingLevel}>${content.teaserTitle}</${headingLevel}>

    [#if hasEntryList]
        <ul>
            [#list entryList as item]
                [#-- Macro: Item Assigns --]
                [@assignItemValues item=item/]
                [#-- Rendering: Item rendering --]
                <li ${liClass}>
                    <h3>
                        <a href="${itemLink}">
                            [#if hasKicker]<em>${itemKicker}</em>[/#if]
                            ${itemTitle}
                        </a>
                    </h3>
                    [#if hasImageLink]<a href="${itemLink}"><img src="${itemImageLink}" alt="${imageAlt}" /></a>[/#if]
                    <p>[#if hasDate]<em class="date">${itemDate?date?string.medium}</em>[/#if] [#if hasText]${itemText}[/#if] <em class="more"><a href="${itemLink}">${i18n['link.readon']} <span> ${itemTitle}</span></a></em></p>
                </li>
            [/#list]
        </ul>
        [#if model.allPostsLink??]
            <p class="all"><a href="${model.allPostsLink}">${i18n['blogEntryList.link.allPosts']}</a></p>
        [/#if]
    [#else]
        <ul>
            <p>${i18n['blogEntryList.noResults']}</p>
        </ul>
    [/#if]
</div><!-- end ${divClass} -->

